groovy.jmx.builder

## Interface JmxEventEmitterMBean

All Known Implementing Classes:
  JmxEventEmitter

    public interface JmxEventEmitterMBean

This is the management interface for JmxEventEmitter. This MBean is used internally by JmxBuilder to broadcast events to registered listeners of the underlying MBeanServer.

See Also:
  `JmxEventEmitter`

### Method Summary

Methods
`java.lang.String` `getEvent()` Getter - returns event thrown by emitter.
`long` `send(java.lang.Object data)` Method called to dispatch event on event bus.
`void` `setEvent(java.lang.String event)` Setter - sets event thrown by Emitter.

### Method Detail

#### getEvent

    java.lang.String getEvent()

Getter - returns event thrown by emitter.

Returns:
  event type string

#### setEvent

    void setEvent(java.lang.String event)

Setter - sets event thrown by Emitter.

Parameters:
  `event` - - event type string

#### send

    long send(java.lang.Object data)

Method called to dispatch event on event bus.

Parameters:
  `data` - - data sent to listeners.
Returns:
  - a sequence id generated for event.